Skip to content

Create Job

POST
/api/v3/projects/{project_id}/jobs
curl --request POST \
--url https://example.com/api/v3/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/jobs \
--header 'Content-Type: application/json' \
--data '{ "agent": "example", "context": {}, "instructions": "example", "max_tokens": 2000, "name": "example", "prompt": "example", "response_format": "text", "retry_policy": {}, "schedule": {}, "target": "candidate", "target_channel": "example", "user": "example" }'

Create one job against an exact Agent, app user, and runtime target.

project_id
required
Project Id
string format: uuid
X-Admin-Key
Any of:
string
Media typeapplication/json
JobCreateRequestV3
object
agent
required
Agent
string
>= 1 characters <= 200 characters
context
Context
object
key
additional properties
any
instructions
Any of:
string
<= 20000 characters
max_tokens
Max Tokens
integer
default: 2000 >= 1 <= 64000
name
required
Name
string
>= 1 characters <= 120 characters
prompt
required
Prompt
string
>= 1 characters <= 20000 characters
response_format
Response Format
string
default: text
Allowed values: text json
retry_policy
Retry Policy
object
key
additional properties
any
schedule
required
Schedule
object
key
additional properties
any
target
DeploymentTarget

A mutable deployment pointer to an immutable Project release.

string
default: live
Allowed values: candidate live
target_channel
Any of:
string
>= 1 characters <= 40 characters
user
required
User
string
>= 1 characters <= 200 characters

Successful Response

Media typeapplication/json
JobResponseV3
object
agent_id
required
Agent Id
string format: uuid
context
required
Context
object
key
additional properties
any
created_at
required
Created At
string format: date-time
id
required
Id
string format: uuid
instructions
Any of:
string
last_run_at
Any of:
string format: date-time
max_tokens
required
Max Tokens
integer
name
required
Name
string
next_run_at
required
Next Run At
string format: date-time
paused_at
Any of:
string format: date-time
project_id
required
Project Id
string format: uuid
prompt
required
Prompt
string
response_format
required
Response Format
string
resumed_at
Any of:
string format: date-time
retry_policy
required
Retry Policy
object
key
additional properties
any
schedule
required
Schedule
object
key
additional properties
any
status
required
Status
string
target
required
DeploymentTarget

A mutable deployment pointer to an immutable Project release.

string
Allowed values: candidate live
target_app_user_id
required
Target App User Id
string
target_channel
Any of:
string
updated_at
required
Updated At
string format: date-time
user_id
required
User Id
string format: uuid
Example
{
"target": "candidate"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}